Page MenuHomePhabricator

Efl.Gfx.Stack: Rename raise and lower
ClosedPublic

Authored by segfaultxavi on Feb 13 2019, 10:21 AM.

Details

Summary

to move_to_top and move_to_bottom since the previous names seemed to indicate
that the object only moved one step instead of all the way through the top
or the bottom of the stack.

Ref T7560

Test Plan

make && make check && make examples work as before

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
segfaultxavi created this revision.Feb 13 2019, 10:21 AM
segfaultxavi requested review of this revision.Feb 13 2019, 10:21 AM
zmike requested changes to this revision.Feb 13 2019, 10:51 AM

Actually, I'm not sure I like using the word "move" here since that relates to position. What if we use raise_to_top and lower_to_bottom instead to ensure that we're always using terms that correspond to the API. Thoughts?

This revision now requires changes to proceed.Feb 13 2019, 10:51 AM
segfaultxavi planned changes to this revision.Feb 13 2019, 11:54 AM

Yep. Agreed.

"bring to front"
"send to back"
which is same with EVIL's PowerPoint.
Please never mind. :-P

Renamed to raise_to_top and lower_to_bottom

Hahaha, that was really EVIL, @kimcinoo :)
Ready for review, @zmike

zmike accepted this revision.Feb 14 2019, 5:56 AM

"bring to front"
"send to back"
which is same with EVIL's PowerPoint.
Please never mind. :-P

Delete slide.

This revision is now accepted and ready to land.Feb 14 2019, 5:56 AM
This revision was automatically updated to reflect the committed changes.
raster added a subscriber: raster.Feb 15 2019, 2:35 AM

actually raise and lower mean to top and bottom commonly. xrwaisewindow and xlowerwindow certainly do. in Qt its raise() and lower() methods.

if anything wouldn't stack_top() and stack_bottom() be better? then it works with stack_above() and stack_below() which are relative to another object?

actually raise and lower mean to top and bottom commonly. xrwaisewindow and xlowerwindow certainly do. in Qt its raise() and lower() methods.

Well, raise() and lower() already proved to be confusing (since both @cedric and myself understood them incorrectly). The X API is famous for being laconic.

if anything wouldn't stack_top() and stack_bottom() be better? then it works with stack_above() and stack_below() which are relative to another object?

stack_above() and stack_below() work because they have a parameter. What about stack_to_top() and stack_to_bottom()?